Package com.smartgwt.client.bean.types

# Class PDoubleArrayValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.ArrayValueType<double[]>
com.smartgwt.client.bean.types.PDoubleArrayValueType

public class PDoubleArrayValueType extends ArrayValueType<double[]>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PDoubleArrayValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected double[]`
  `convertFrom(boolean[] array)`
  `protected double[]`
  `convertFrom(double[] array)`
  `protected double[]`
  `convertFrom(float[] array)`
  `protected double[]`
  `convertFrom(int[] array)`
  `protected double[]`
  `convertFrom(long[] array)`
  `protected double[]`
  `convertFrom(Object[] array)`
  `protected Class`
  `getValueType()`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.types.ArrayValueType

  `convertabilityFrom, convertabilityFromPrimitiveArray, convertabilityToComponentType, convertFrom, convertFromPrimitiveArray, getComponentType, getComponentValueType, isAssignableFrom, leastConvertabilityToComponentType`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PDoubleArrayValueType

    public PDoubleArrayValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Specified by:
      `getValueType` in class `BeanValueType<double[]>`

  - ### convertFrom

    protected double[] convertFrom(Object[] array)
    Specified by:
      `convertFrom` in class `ArrayValueType<double[]>`

  - ### convertFrom

    protected double[] convertFrom(boolean[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<double[]>`

  - ### convertFrom

    protected double[] convertFrom(double[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<double[]>`

  - ### convertFrom

    protected double[] convertFrom(float[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<double[]>`

  - ### convertFrom

    protected double[] convertFrom(int[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<double[]>`

  - ### convertFrom

    protected double[] convertFrom(long[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<double[]>`